Partially/Entirely update Service Reminder using unique identifier

This API endpoint performs a partial or complete update of an existing service reminder within the system. You can update any combination of fields without providing all required fields.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Unique identifier for the service reminder.

Body Params

Request body to partially/entirely update a service reminder in the system.

Request schema for partially updating a service reminder. All fields are optional.

uuid

The unique Azuga ID of the entity(vehicle/asset) to be associated with service reminder.

string

Name of the entity(vehicle/asset) to be associated with the service reminder.

integer
enum

Type Id of the entity(vehicle/asset):
1: Vehicle
2: Asset

Allowed:
string
enum

Type of the entity(vehicle/asset)

Allowed:
uuid

The unique Azuga ID of the Group associated with the service reminder.

string

Group name associated with the service reminder.

string
length between 1 and 100

Name of the alert associated with the service reminder.

boolean

Flag to indicate if the reminder is muted (notifications disabled).

alertNotificationDetails
object

Alert notification configuration details.

reminderScheduleCriteria
object

The base conditions to trigger the service reminder alert.

reminderCriteria
array of objects
length ≥ 1

Array of reminder criteria specifying service type, service date, and threshold conditions.

reminderCriteria

Individual reminder criteria input configuration. At least one threshold value is required.

uuid
required

The unique Azuga ID of the Service Type.

string
required
length between 1 and 200

Name of the service.

date-time
required

Date and time the last service was performed. Use YYYY-MM-DD HH:mm:ss format.

integer

Number of days threshold for the reminder.

float

Mileage threshold in KM for the reminder.

float

Engine hours threshold for the reminder.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json